Bug Hunting Session
Bug 96432 - FORMATTING: Crash when transparency is applied to an error bar
Summary: FORMATTING: Crash when transparency is applied to an error bar
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-12 03:23 UTC by Marisano James
Modified: 2019-01-31 15:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example Calc file with y-error bars (15.54 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-12-12 03:23 UTC, Marisano James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marisano James 2015-12-12 03:23:46 UTC
Created attachment 121236 [details]
Example Calc file with y-error bars

Steps to reproduce the bug.

1.Open a Calc document containing a chart with an error bar thereon. (See Example_data.ods, for a ready-made file.)
2. Double-click on the chart to select it.
3. Select "... Error Bars" from the "Select Chart Element" drop down menu (it appears in the upper left hand corner of the main window).
4. Click on the "Format Selection" button to the right of the drop down menu (the cube icon). A dialog box will appear.
5. Click on the "Line" tab in that dialog box.
6. Type a non-zero integer into the "Transparency:" Edit Field, or use the up arrow to select one.

Calc will crash.
Comment 1 Julien Nabet 2015-12-12 16:27:31 UTC
On pc Debian x86-64 with LO Debian package 5.0.4RC1, I don't reproduce this.
On which LO version are you?
Comment 2 Marisano James 2015-12-14 02:04:34 UTC
(In reply to Julien Nabet from comment #1)
> On pc Debian x86-64 with LO Debian package 5.0.4RC1, I don't reproduce this.
> On which LO version are you?

Hello Julien,

Sorry, I meant to report that. I'm using LO version 5.0.2.2 (what was then the latest Fresh release). Would the Build ID be helpful?

Marisano
Comment 3 Marisano James 2015-12-14 02:52:29 UTC
Also occurs in version 5.0.3.2. (I don't have 5.0.4 installed yet.)
Comment 4 Marisano James 2015-12-14 03:40:24 UTC
Does not occur each time transparency is applied in version 5.0.4.2. That is, you can instantiate the error bars dialog, select a transparency level, and have it applied successfully. However, sometimes it still fails. One way I have gotten it to do so is to ask for a transparency level, say 50%, and then immediately ask for it again. If Calc will not crash initially, open the program anew and reapply transparency.
Comment 5 raal 2015-12-14 20:45:06 UTC
I can not confirm with Version: 5.2.0.0.alpha0+
Build ID: de9d0e797903e7ecc19be2b05c7e89d5936ae02d
Threads 4; Ver: Linux 4.2; Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-12-03_04:13:00

If possible, please follow the instructions provided at this link < https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#GNU.2FLinux >. and submit a backtrace.
Comment 6 Buovjaga 2015-12-17 10:08:26 UTC
No repro here. Tried repeated changes like in comment 4.

Win 7 Pro 64-bit, Version: 5.0.3.2 (x64)
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: fi-FI (fi_FI)

Ubuntu 15.10 64-bit 
Version: 5.0.3.2
Build ID: 1:5.0.3~rc2-0ubuntu1
Locale: en-US (en_US.UTF-8)
Comment 7 Buovjaga 2016-03-02 20:57:41 UTC
Plz try 5.1.x.

Backtrace per comment 5 would be super.

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 8 Xisco Faulí 2016-10-10 11:24:08 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2016-11-08 12:46:58 UTC Comment hidden (obsolete)
Comment 10 Commit Notification 2019-01-31 15:32:10 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d7852df4bd92a35dedb460239a07649fc8032542%5E%21

uitest for bug tdf#96432

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.